<app-loader *ngIf="isLoad"></app-loader>

<div class="">

	<span [matTooltip]="checkEdit ? null : 'Редактирование недоступно' ">
				<button mat-flat-button
					class="mb-16"
					routerLink="./edit"
					[disabled] = '!checkEdit'
					color="accent">
					Редактировать
				</button>
			</span>

	<mat-card class="art-card" *ngIf="data">


			<div fxLayout="row" fxLayout.lt-md="column">
				<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">

					<mat-label>Приемная капания</mat-label>
					<input matInput [ngModel]="data.name_campaign" [readonly]="true" >
				</mat-form-field>
			</div>

			<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
				<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
					<mat-label>Наименование конкурсной группы</mat-label>
					<input matInput [ngModel]="data.name" [readonly]="true" >
					<button mat-icon-button matSuffix
						matTooltip="Редактировать наименование"
						(click)="editName()">
						<mat-icon matSuffix svgIcon="pencil"></mat-icon>
					</button>
				</mat-form-field>

				<mat-form-field appearance="fill" fxFlex="32.6" fxFlex.lt-md="100" >
					<mat-label>UID</mat-label>
					<input matInput [ngModel]="data.uid" [readonly]="true" >
					<button mat-icon-button matSuffix
						matTooltip="Редактировать UID"
						(click)="editUid()">
						<mat-icon matSuffix svgIcon="pencil"></mat-icon>
					</button>
				</mat-form-field>
			</div>


			<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Уровень образования</mat-label>
					<input matInput [ngModel]="data.name_education_level" [readonly]="true" >
				</mat-form-field>

				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Источник финансирования</mat-label>
					<input matInput [ngModel]="data.name_education_source" [readonly]="true" >
				</mat-form-field>


				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Уровень бюджета</mat-label>
					<input matInput [ngModel]="data.name_level_budget" [readonly]="true" >
				</mat-form-field>

			</div>

			<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Форма обучения</mat-label>
					<input matInput [ngModel]="data.name_education_form" [readonly]="true" >
				</mat-form-field>

				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Направление подготовки</mat-label>
					<input matInput [ngModel]="data.name_direction" [readonly]="true" >
				</mat-form-field>




				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Количество мест</mat-label>
					<input matInput [ngModel]="data.number" [readonly]="true" >
					<button mat-icon-button matSuffix
						matTooltip="Редактировать"
						(click)="editNumber()">
						<mat-icon matSuffix svgIcon="pencil"></mat-icon>
					</button>
				</mat-form-field>
			</div>
			<div>
				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Комментарий </mat-label>
					<textarea matInput [ngModel]="data.comment" rows="2" [readonly]="true"> </textarea>
					<button mat-icon-button matSuffix
						matTooltip="Редактировать комментарий"
						(click)="editComment()">
						<mat-icon matSuffix svgIcon="pencil"></mat-icon>
					</button>
				</mat-form-field>
			</div>



	</mat-card>

</div>

